org.apache.ignite.internal.util.nodestart

## Class IgniteNodeStartUtils

- java.lang.Object
- - org.apache.ignite.internal.util.nodestart.IgniteNodeStartUtils

    public class IgniteNodeStartUtils
    extends Object

Util methods for `IgniteCluster.startNodes(..)` methods.

### Field Summary

Fields
`static String` `CFG` Key for configuration path.
`static int` `DFLT_MAX_CONN` Default maximum number of parallel connections.
`static int` `DFLT_TIMEOUT` Default connection timeout.
`static String` `HOST` Key for hostname.
`static String` `IGNITE_HOME` Key for Ignite home folder.
`static String` `KEY` Key for private key file.
`static String` `LOGGER` Key for logger.
`static String` `NODES` Key for number of nodes.
`static String` `PASSWD` Key for password.
`static String` `PORT` Key for port number.
`static String` `SCRIPT` Key for script path.
`static String` `UNAME` Key for username.

### Method Summary

Methods
`static Set<String>` `expandHost(String addr)` Parses and expands range of IPs, if needed.
`static IgniteBiTuple<Collection<Map<String,Object>>,Map<String,Object>>` `parseFile(File file)` Parses INI file.
`static Map<String,Collection<IgniteRemoteStartSpecification>>` `specifications(Collection<Map<String,Object>> hosts, Map<String,Object> dflts)` Makes specifications.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HOST

    public static final String HOST

Key for hostname.

See Also:
  Constant Field Values

#### PORT

    public static final String PORT

Key for port number.

See Also:
  Constant Field Values

#### UNAME

    public static final String UNAME

Key for username.

See Also:
  Constant Field Values

#### PASSWD

    public static final String PASSWD

Key for password.

See Also:
  Constant Field Values

#### KEY

    public static final String KEY

Key for private key file.

See Also:
  Constant Field Values

#### NODES

    public static final String NODES

Key for number of nodes.

See Also:
  Constant Field Values

#### IGNITE_HOME

    public static final String IGNITE_HOME

Key for Ignite home folder.

See Also:
  Constant Field Values

#### CFG

    public static final String CFG

Key for configuration path.

See Also:
  Constant Field Values

#### SCRIPT

    public static final String SCRIPT

Key for script path.

See Also:
  Constant Field Values

#### LOGGER

    public static final String LOGGER

Key for logger.

See Also:
  Constant Field Values

#### DFLT_TIMEOUT

    public static final int DFLT_TIMEOUT

Default connection timeout.

See Also:
  Constant Field Values

#### DFLT_MAX_CONN

    public static final int DFLT_MAX_CONN

Default maximum number of parallel connections.

See Also:
  Constant Field Values

### Method Detail

#### parseFile

    public static IgniteBiTuple<Collection<Map<String,Object>>,Map<String,Object>> parseFile(File file)
                                                                                      throws IgniteCheckedException

Parses INI file.

Parameters:
  `file` - File.
Returns:
  Tuple with host maps and default values.
Throws:
  `IgniteCheckedException` - In case of error.

#### specifications

    public static Map<String,Collection<IgniteRemoteStartSpecification>> specifications(Collection<Map<String,Object>> hosts,
                                                                        @Nullable
                                                                        Map<String,Object> dflts)
                                                                                 throws IgniteCheckedException

Makes specifications.

Parameters:
  `hosts` - Host configurations.
  `dflts` - Default values.
Returns:
  Specification grouped by hosts.
Throws:
  `IgniteCheckedException` - In case of error.

#### expandHost

    public static Set<String> expandHost(String addr)
                                  throws IgniteCheckedException

Parses and expands range of IPs, if needed. Host names without the range returned as is.

Parameters:
  `addr` - Host with or without `~` range.
Returns:
  Set of individual host names (IPs).
Throws:
  `IgniteCheckedException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015